<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <!-- This file was converted to xhtml by Writer2xhtml ver. 0.9.2. See http://www.hj-gym.dk/~hj/writer2latex for more info. -->
  <title>WYSIWYM View</title>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <link rel="schema.DC" href="http://purl.org/dc/elements/1.1/" />
  <meta name="DC.creator" content="Jens Mittelbach" />
  <meta name="DC.date" content="2008-11-20T16:56:37.74" />
  <link type="text/css" charset="utf-8" href="../help.css" rel="stylesheet" />
</head>

<body>
<h1 id="toc0">WYSIWYM View</h1>

<p>The WYSIWYM (= "What You See Is What You Mean") View organises the contents
of an xml-file in a structured way, according to their function. The appearance
of the document is defined by a Cascading Style Sheet (CSS).</p>

<p>
<div>
<img src="xmleditor-img13.png" id="" class="frameGraphics" alt="Grafik" />
</div>
<p class="Figure">Figure: The WYSIWYM View</p>
</p>

<p>The structure of the document is visualised by two kinds of markers:</p>
<ol>
  <li><p>Block Markers, which mark nested divisions of an XML-file.</p>

    <div id="Grafik">
    <img src="xmleditor-img14.png" class="frameGraphics" alt="Grafik" /></div>
  </li>
  <li><p>Inline Markers, which mark the single elements of an XML-file.</p>

    <div id="Grafik">
    <img src="xmleditor-img15.png" class="frameGraphics" alt="Grafik" /></div>
  </li>
</ol>

<p>To show Block Markers, left-click the symbol <img src="xmleditor-img16.png" alt="Grafik" />, to show Inline Markers,
left-click the symbol <img src="xmleditor-img17.png" alt="Grafik" /> in the tool bar. To hide them, click the symbols
again. Both types of markers can be activated at the same time. </p>

<p>Elements can be inserted by</p>
<ul>
  <li><p>left-clicking "XML" in the menu bar and selecting "Insert Element",</p>

    <div id="Grafik">
    <img src="xmleditor-img18.png" class="frameGraphics" alt="Grafik" /></div>
  </li>
  <li><p>or by right-clicking and selecting "Insert Element" in the context
    menu.</p>

    <div id="Grafik">
    <img src="xmleditor-img19.png" class="frameGraphics" alt="Grafik" /></div>
  </li>
</ul>

<p>You can undo and redo every change made to a file for the entire editing
session. For undo, press ctrl+Z, for redo press ctrl+Y or choose both options
alternatively by selecting "Edit" in the menu bar or in the context menu.</p>
</body>
</html>